> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare remote quick login

## Overview

Allows the client to prepare a remote Neuron for a quick login attempt made by the client, currently logged in via the Agent API.

Note: This request must be made to the Neuron to which the client is connected.

## HTTP request

`POST /Agent/Account/PrepareRemoteQuickLogin`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
}
```

## Response (JSON)

```json theme={null}
{
	"legalId": Required(Str(PLegalId))
}
```

## Response parameters

| Parameter | Description                                                                                                                                                                         |
| --------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| PLegalId  | A Legal ID associated with the user. This ID needs to be included in the request to [Remote quick login](/neuron-api/api-reference/authentication-and-sessions/remote-quick-login). |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
